Package docking.actions

# Class ActionAdapter

java.lang.Object
docking.actions.ActionAdapter

All Implemented Interfaces:
  `ActionListener`, `PropertyChangeListener`, `EventListener`, `Action`

public class ActionAdapter extends Object implements Action, PropertyChangeListener

- ## Field Summary

  ### Fields inherited from interface javax.swing.Action

  `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActionAdapter(DockingActionIf dockingAction)`
  This is only for use when converting actions from docking actions to those to be used in Swing components.
  `ActionAdapter(DockingActionIf dockingAction, ActionContextProvider provider)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionEvent e)`
  `void`
  `addPropertyChangeListener(PropertyChangeListener listener)`
  `Object`
  `getValue(String key)`
  `boolean`
  `isEnabled()`
  `void`
  `propertyChange(PropertyChangeEvent evt)`
  `void`
  `putValue(String key, Object value)`
  `void`
  `removePropertyChangeListener(PropertyChangeListener listener)`
  `void`
  `setDefaultAction(Action defaultAction)`
  `void`
  `setEnabled(boolean b)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface javax.swing.Action

  `accept`

- ## Constructor Details

  - ### ActionAdapter

    public ActionAdapter(DockingActionIf dockingAction)
    This is only for use when converting actions from docking actions to those to be used in Swing components. The context system does not work as expected in this case.

    Most clients should use `ActionAdapter(DockingActionIf, ActionContextProvider)`

    Parameters:
      `dockingAction` - the action to adapt

  - ### ActionAdapter

    public ActionAdapter(DockingActionIf dockingAction, ActionContextProvider provider)

- ## Method Details

  - ### setDefaultAction

    public void setDefaultAction(Action defaultAction)

  - ### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)
    Specified by:
      `addPropertyChangeListener` in interface `Action`

  - ### getValue

    public Object getValue(String key)
    Specified by:
      `getValue` in interface `Action`

  - ### isEnabled

    public boolean isEnabled()
    Specified by:
      `isEnabled` in interface `Action`

  - ### putValue

    public void putValue(String key, Object value)
    Specified by:
      `putValue` in interface `Action`

  - ### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)
    Specified by:
      `removePropertyChangeListener` in interface `Action`

  - ### setEnabled

    public void setEnabled(boolean b)
    Specified by:
      `setEnabled` in interface `Action`

  - ### actionPerformed

    public void actionPerformed(ActionEvent e)
    Specified by:
      `actionPerformed` in interface `ActionListener`

  - ### propertyChange

    public void propertyChange(PropertyChangeEvent evt)
    Specified by:
      `propertyChange` in interface `PropertyChangeListener`